Bug 483485 - 2.6.27.12-170.2.5.fc10.x86_64 modem issue
2.6.27.12-170.2.5.fc10.x86_64 modem issue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-01 13:09 EST by Kevin Fenzi
Modified: 2009-12-18 02:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2009-02-01 13:09:19 EST
I have a modem that doesn't seem to work. ;( 
lspci shows: 

08:02.0 Communication controller: Agere Systems LT WinModem (rev 02)

This card has worked as a zaptel device for asterisk/callweaver for a long time. I have just recently moved it to this machine (a dell sc1430), where it's not worked. ;( 

On boot up I see: 

Jan 26 20:10:24 galadan kernel: IRQ handler type mismatch for IRQ 12
Jan 26 20:10:24 galadan kernel: current handler: i8042
Jan 26 20:10:24 galadan kernel: Pid: 2931, comm: hald-probe-seri Not tainted 2.6.27.12-170
.2.5.fc10.x86_64 #1
Jan 26 20:10:24 galadan kernel:
Jan 26 20:10:24 galadan kernel: Call Trace:
Jan 26 20:10:24 galadan kernel: [<ffffffff810832d3>] setup_irq+0x286/0x2ab
Jan 26 20:10:24 galadan kernel: [<ffffffff8116dcd0>] ? delay_tsc+0x26/0x58
Jan 26 20:10:24 galadan kernel: [<ffffffff811f0aa1>] ? serial8250_interrupt+0x0/0xe1
Jan 26 20:10:24 galadan kernel: [<ffffffff81083405>] request_irq+0x10d/0x136
Jan 26 20:10:24 galadan kernel: [<ffffffff811f068b>] serial8250_startup+0x422/0x5a8
Jan 26 20:10:24 galadan kernel: [<ffffffff811ecb11>] uart_startup+0x8a/0x147
Jan 26 20:10:24 galadan kernel: [<ffffffff811eda69>] uart_open+0x198/0x3e2
Jan 26 20:10:24 galadan kernel: [<ffffffff811cde34>] ? init_dev+0x3d6/0x4dc
Jan 26 20:10:24 galadan kernel: [<ffffffff81333122>] ? _spin_lock+0x9/0xc
Jan 26 20:10:24 galadan kernel: [<ffffffff811d0a2f>] tty_open+0x1c8/0x315
Jan 26 20:10:24 galadan kernel: [<ffffffff810c2d6d>] chrdev_open+0x14a/0x169
Jan 26 20:10:24 galadan kernel: [<ffffffff811432c7>] ? selinux_dentry_open+0x7b/0x84
Jan 26 20:10:24 galadan kernel: [<ffffffff810c2c23>] ? chrdev_open+0x0/0x169
Jan 26 20:10:24 galadan kernel: [<ffffffff810beb9a>] __dentry_open+0x13a/0x249
Jan 26 20:10:24 galadan kernel: [<ffffffff810bed5f>] nameidata_to_filp+0x2e/0x40
Jan 26 20:10:24 galadan kernel: [<ffffffff810ca0c3>] do_filp_open+0x3e4/0x7db
Jan 26 20:10:24 galadan kernel: [<ffffffff81031083>] ? need_resched+0x1e/0x28
Jan 26 20:10:24 galadan kernel: [<ffffffff8133196a>] ? _cond_resched+0x9/0x38
Jan 26 20:10:24 galadan kernel: [<ffffffff8116e314>] ? __strncpy_from_user+0x2c/0x53
Jan 26 20:10:24 galadan kernel: [<ffffffff810d4c79>] ? alloc_fd+0x110/0x123
Jan 26 20:10:24 galadan kernel: [<ffffffff810be9a3>] do_sys_open+0x53/0xd3
Jan 26 20:10:24 galadan kernel: [<ffffffff810bea4c>] sys_open+0x1b/0x1d
Jan 26 20:10:24 galadan kernel: [<ffffffff8101024a>] system_call_fastpath+0x16/0x1b
Jan 26 20:10:24 galadan kernel:

Happy to test anything or provide more info.
Comment 1 Kevin Fenzi 2009-06-06 02:01:54 EDT
Just to update this, I see pretty much the same thing on newer kernels still as well: 

May 30 20:49:08 galadan kernel: Pid: 3201, comm: hald-probe-seri Not tainted 2.6.29.1-15.fc10.x86_64
 #1
May 30 20:49:08 galadan kernel: Call Trace:
May 30 20:49:08 galadan kernel: [<ffffffff8108ce71>] __setup_irq+0x1f7/0x22a
May 30 20:49:08 galadan kernel: [<ffffffff8108cf8b>] request_irq+0xe7/0x16f
May 30 20:49:08 galadan kernel: [<ffffffff8121c054>] ? serial8250_interrupt+0x0/0xf3
May 30 20:49:08 galadan kernel: [<ffffffff8121bc13>] serial8250_startup+0x4ed/0x696
May 30 20:49:08 galadan kernel: [<ffffffff81217dc6>] uart_startup+0x93/0x14f
May 30 20:49:08 galadan kernel: [<ffffffff812180c6>] uart_open+0x14d/0x39d
May 30 20:49:08 galadan kernel: [<ffffffff811fe187>] ? tty_ldisc_setup+0x6c/0x77
May 30 20:49:08 galadan kernel: [<ffffffff81370fcd>] ? _spin_lock+0x9/0xc
May 30 20:49:08 galadan kernel: [<ffffffff811fa08c>] tty_open+0x2f0/0x434
May 30 20:49:08 galadan kernel: [<ffffffff810d5dae>] chrdev_open+0x150/0x16f
May 30 20:49:08 galadan kernel: [<ffffffff811583b8>] ? selinux_dentry_open+0xe6/0xef
May 30 20:49:08 galadan kernel: [<ffffffff810d5c5e>] ? chrdev_open+0x0/0x16f
May 30 20:49:08 galadan kernel: [<ffffffff810d1a28>] __dentry_open+0x157/0x270
May 30 20:49:08 galadan kernel: [<ffffffff810d1c0e>] nameidata_to_filp+0x41/0x52
May 30 20:49:08 galadan kernel: [<ffffffff810dd2e1>] do_filp_open+0x419/0x837
May 30 20:49:08 galadan kernel: [<ffffffff810b5ee2>] ? remove_vma+0x7d/0x85
May 30 20:49:08 galadan kernel: [<ffffffff8118a535>] ? might_fault+0x1a/0x1c
May 30 20:49:08 galadan kernel: [<ffffffff810e65a9>] ? alloc_fd+0x110/0x123
May 30 20:49:08 galadan kernel: [<ffffffff81370e9f>] ? trace_hardirqs_off_thunk+0x3a/0x6c
May 30 20:49:08 galadan kernel: [<ffffffff810d1814>] do_sys_open+0x53/0xd3
May 30 20:49:08 galadan kernel: [<ffffffff810d18bd>] sys_open+0x1b/0x1d
May 30 20:49:08 galadan kernel: [<ffffffff8101133a>] system_call_fastpath+0x16/0x1b

I'd love to have my card working so I could run asterisk again. ;)
Comment 2 Bug Zapper 2009-11-18 05:56:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:46:06 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.